IVMAN-LAUNCH(8)

NAME
ivman-launch - launch script for Ivman

SYNOPSIS
ivman-launch [ --exit-with-session <cmd> ] [ OPTIONS ] [ COMMAND [ ARGS... ]]

DESCRIPTION
ivman-launch is a simple script used to launch Ivman. Its sole purpose is to ensure Ivman is closed at the end of a user's login session. You can use it if your session manager does not properly close Ivman when you log out.

ivman-launch supports the same command-line options as Ivman, and one additional option: --exit-with-session. Thus, there is no point using ivman-launch if you do not need to use this option.

If you supply a COMMAND (with optional ARGS), the the specified command will be run after ivman is started, and ivman will be killed after that command exits.

OPTIONS

--exit-with-session <cmd>
    ivman-launch will block until the command 'cmd' terminates, at which point it will kill Ivman and exit itself. If the command 'cmd' is not running when ivman-launch is started, Ivman will exit immediately. Note that this option implies Ivman will be called with the '--nofork' option. option.

--debug --nofork --system
    These flags be passed to the launched ivman command.

EXAMPLES

ivman-launch --exit-with-session xinit &
    The ivman process will be started, then the xinit process is watched. When the xinit process exits, ivman is killed. Placing this command in an ~/.xinitrc file would cause Ivman to launch in the background when your session begins, and exit when your session ends:

ivman-launch /usr/bin/x-window-manager
    The ivman process is launched, then /usr/bin/x-window-manager is run, when x-window-manager exits, ivman is killed. This is an example of how ivman might be launched from Xsession in order to chain several programs together in one session.

SEE ALSO
ivman(8) Xsession(5)

CREDITS
This script was written by Daniele Favara.